{% extends 'kpi/base.html' %}
{% load static %}
{% block title %}Набор показателей - {{ dep_set.set.name }}{% endblock %}
{% block extrastyles %}
    <link rel="stylesheet" href="{% static 'css/indicators_in_set.css' %}">
{% endblock %}
{% block content %}
    <div class="content-basic collapse-info">
        <div class="progress" style="margin-bottom:0;">
            <div id="total_progress_bar" class="progress-bar" role="progressbar" style="width: 0;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">0%</div>
        </div>
        <a href="#filters" data-toggle="collapse">Панель фильтров</a>
        <input id="set_id" type="hidden" name="set_id" value="{{ set_id }}" readonly>
        <div class="row collapse" id="filters">
            <div class="col-lg-8 col-lg-offset-1">
                <div class="row">
                    <div>
                        <div class="form-group col-lg-12">
                            <label for="indicator_name">Название</label>
                            <input type="text" class="form-control" id="indicator_name" name="name"
                                   placeholder="Введите название">
                            <span id="helpBlock"
                                  class="help-block">Для игнорирования фильтра оставьте поле пустым</span>
                        </div>
                        <div class="form-group col-lg-12">
                            <label for="emp_fio">Сотрудники</label>
                            <select id="emp_fio" name="employee_name" class="form-control" name="set">
                                <option selected value="-1">Выберите сотрудника</option>
                                {% for employee in dep_set.department.employees.all %}
                                    <option value="{{ employee.id }}">{{ employee.fio }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <label>
                                <input id="uncompleted_checkbox" type="checkbox" name="completed" value="uncompleted"> Только незаконченные
                            </label>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <label>
                                <input id="completed_checkbox" type="checkbox" name="completed" value="completed"> Только законченные
                            </label>
                        </div>
                        <div class="col-lg-12">
                            <button class="btn btn-primary filter-btn">Отфильтровать</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="indicators_container">
        </div>
    </div>
    <div id="loading_icon"><span class="glyphicon glyphicon-refresh "></span></div>
    <script src="{% static 'js/indicators_in_set.js' %}"></script>
{% endblock %}